#include <iostream>

using namespace std;

int main()
{
    int a,b,x,y;
    cin>>a>>b>>x>>y;
    if(a==x){
        if(b>y)
            cout<<"drug1";
        else
            cout<<"n1jedan";
    }
    else if(b==y){
        if(a>x)
            cout<<"prv1";
        else
            cout<<"n1jedan";
    }
    else
        cout<<"?";
    return 0;
}